Subject: bug#40020: package:diffutils; package-version:1:3.7-3; BUG on options: --exclude and --new-file used together

From: "camel bright" <[email-masked]>
Date: Tue, 10 Mar 2020 22:58:06 +0100

package:diffutils;

package-version:1:3.7-3;

BUG on options: --exclude and --new-file used together

see attachments (each file corresponds to the report of a specific command sequence.

In file "dirdiff.txt"   I use both options --exclude and --new-file and

in file "dirdiff2.txt" I only use option    --exclude, being all the other options the same for both files).

In file "dirdiff.txt" I use both options --exclude and --new-file:

(and this is where the BUG is)

and in the report appears even the content of directories that I indicated to be excluded from the report, I mean appear differences in

directories:

media/nwo/

media/video/

TO-ORGANIZE-Files-desk/

In file "dirdiff2.txt" I only use option --exclude:

(and everything is fine with the report, well the report isn't perfect because it still makes reference to the content of one directory which is indicated to be excluded from the report which is directory 'media/video/', check in file "dirdiff2.txt" where it says

"Only in /media/user/bk2fadbe256gb-e4/backup-data/media/video: tapado"

"tapado" is a directory inside a "media/video/" path that shouldn' t be included in the report as mentioned by the --exclude option)

Thanks for the time.